# encoding: utf-8

# Module:	inst_oes_kernel_modules.ycp
#
# Authors:	Anas Nashif
#              Reed Haslam (Reed_Haslam@Novell.com)
#
# Purpose:	Install special Kernel modules for OES
#
# $Id: inst_oes_kernel_modules.ycp,v 1.1.2.4 2005/09/15 21:06:02 rhaslam Exp $
module Yast
  class InstOesKernelModulesClient < Client
    def main

      @install_list = Convert.convert(
        WFM.Args(0),
        :from => "any",
        :to   => "list <string>"
      )

      @dependant_packages = []
      if Builtins.contains(@install_list, "kernel-smp")
        @dependant_packages = ["novell-sms-zapishim-smp"]
      elsif Builtins.contains(@install_list, "kernel-bigsmp")
        @dependant_packages = ["novell-sms-zapishim-bigsmp"]
      else
        @dependant_packages = ["novell-sms-zapishim-default"]
      end

      @result = Convert.convert(
        Builtins.union(@install_list, @dependant_packages),
        :from => "list",
        :to   => "list <string>"
      )
      deep_copy(@result)
    end
  end
end

Yast::InstOesKernelModulesClient.new.main
