# encoding: utf-8

# File:        clients/inst_oes_autoupdate.ycp
# Package:     novell-common
# Summary:     Pre-Configure items
# Authors:     Suresh K. Hosamani <hsuresh@novell.com>
#
# $Id: inst_oes_autoupdate.ycp,v 1.0 2011/10/20 22:10:11 hsuresh Exp $
#
module Yast
  class InstOesAutoupdateClient < Client
    def main

      textdomain "novell-base"

      Yast.import "Package"
      Yast.import "Progress"
      Yast.import "Service"
      Yast.import "Mode"
      @ret = :auto


      @args = Convert.to_map(WFM.Args(0))
      return @ret if Ops.get_boolean(@args, "going_back", false) == true

      @cmd = "echo YES > /var/lib/YaST2/OES11_AUTOUPGRADE"
      @rval = Convert.to_integer(SCR.Execute(path(".target.bash"), @cmd))
      Builtins.y2milestone(
        "inst_oes_update_settings executing cmd: %1  rval: %2",
        @cmd,
        @rval
      )

      if @rval != 0
        Builtins.y2milestone(
          "inst_oes_update_settings: executing cmd: %1 failed",
          @cmd
        )
      end

      @ret
    end
  end
end

Yast::InstOesAutoupdateClient.new.main
